const OracleService = require('../service/OracleService');
const axios = require('axios');

class MonitoringController {
  async execCommand(command, params) {
    command = `/* === EXECUTED BY ODHEN ASSISTANT === */ \n ${command}`;
    return OracleService.execute(command, params).then((data) => {
      return {
        rows: data.rows,
        metaData: data.metaData
      };
    });
  }

  async execHttpRequest(ID, urls) {
    return Promise.all(urls.map((url) => {
      return new Promise(async(resolve) => {
        const response = {
          ID,
          ERROR: '',
          URL: url,
          STATUS: ''
        };
        try {
          await axios.get(url.trim(), {}, { timeout: 10000 });
          response.STATUS = 'S';
        } catch (error) {
          response.STATUS = 'N';
          response.ERROR = error.message;
        } finally {
          resolve(response);
        }
      });
    }));
  }
}

module.exports = new MonitoringController();
