const fs = require('fs');

const route = (router) => {
  router.get('/latest', (async (req, res) => {
    try {
      let serviceId = '';
      const aplicacao = req.query.serviceId;

      if (typeof req.query.serviceId === 'string') {
        serviceId = req.query.serviceId;
      }

      if (!serviceId) {
        return res.status(400).send({ error: true, message: '' });
      }

      /** Repositório */
      const dirApp = '../../../../../assistant-sistemas/';
      let dir = `${dirApp + aplicacao}`;

      dir = path.join(__dirname, dir);

      /** Se não existe o arquivo retorna 400 */
      if (!fs.existsSync(`${dir}/productInfo.json`)) {
        return res.status(400).send({ error: true, message: 'Service folder not found' });
      }
      const productInfo = JSON.parse(fs.readFileSync(`${dir}/productInfo.json`));

      if (!productInfo) {
        return null;
      }

      let { version } = productInfo.product;

      if (!version) {
        return res.status(400).send({ error: true, message: 'Versão não encontrada.' });
      }

      version = formatVersion(version);

      return res.status(200).json({ version });
    } catch (error) {
      res.send(error);
    }
  }));

  function formatVersion(version) {
    if (!version) {
      return null;
    }
  
    const versionParts = version.split('.').map((v) => {
      return v.padStart(3, '0');
    });
  
    return parseInt(versionParts.join(''), 10);
  }
}

module.exports = route;