const SystemLogger = require("../logs/SystemLogger")
const jwt = require('../functions/JsonWebToken');

function APIRoute(app){
    app.post('/API/insertData', app.controller.ExpController.insertData)
    app.post('/API/getMinDtUltAtuExt', app.controller.ExpController.getMinDtUltAtuExt)
    app.post('/API/getMaxDtUltAtuMCli', app.controller.ExpController.getMaxDtUltAtuMCli)
    app.post('/API/getVerificaExportacao', app.controller.ExpController.getVerificaExportacao)
    app.post('/API/generateToken', (req, res) => {
        try {
            const token = jwt.sign(req.body);
            res.status(200).send({ token });
        } catch(error) {
            res.status(500).send({ error });
        }
    });
    app.post('/API/gracefulShutdown', () => {
        SystemLogger.log('Restarting app ...');
        process.exit(0);
    })
    // app.get('/API/getFiliais', app.controller.FosTabController.getFiliais);
    // app.post('/API/getStructure', app.controller.FosTabController.get);
    // app.get('/API/getStructure', app.controller.FosTabController.get);
}

module.exports = APIRoute;