class TemplateHandler {
  constructor(template = '') {
    this.template = template;
  }
  replaceMnemonics(info) {
    const mnemonics = this.template.match(/{{\w+}}/g) || [];
    if(!info) return this.template;
    let message = this.template;
    mnemonics.forEach(mnemonic => {
      const keyRegex = new RegExp(mnemonic, 'g');
      const key = mnemonic.match(/\w+/g);
      message = message.replace(keyRegex, info[key] || '');
    });
    return message;
  }
  format(info){
    return this.replaceMnemonics(info);
  }
}

module.exports = TemplateHandler;